#
# spec file for package perl-Frontier-RPC (Version 0.06)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        A Perl interface for making and serving XML-RPC calls

Name:           perl-Frontier-RPC
Version:        0.06
Release:        1.4
License:        Artistic License
Group:          Development/Languages/Perl
Source0:        Frontier-RPC-%{version}.tar.bz2
Patch0:         perl-frontier-raw-call.patch
Patch1:         perl-frontier-raw-serve.patch
Url:            http://www.cpan.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl >= 5
Requires:       perl = %{perl_version}

BuildRequires:  perl-XML-Parser
BuildRequires:  perl-libwww-perl

%description
Frontier::RPC implements UserLand Software's XML RPC (Remote Procedure
Calls using Extensible Markup Language).  Frontier::RPC includes both a
client module for making requests to a server and a daemon module for
implementing servers.  Frontier::RPC uses RPC2 format messages.



%prep
%setup -q -n Frontier-RPC-%{version} 
%patch0 -p1 -b .rawcall
%patch1 -p1 -b .rawserve

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
#make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Frontier
%{perl_vendorarch}/auto/Frontier
/var/adm/perl-modules/%{name}

%changelog
* Sat Jun 19 2010 coolo@novell.com
- initial package
